/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 1991-2010 OpenCFD Ltd.
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

\*---------------------------------------------------------------------------*/

#include "basicThermoParcel.H"

// * * * * * * * * * * * * * * Static Data Members * * * * * * * * * * * * * //

namespace Foam
{
    defineTypeNameAndDebug(basicThermoParcel, 0);
    defineParticleTypeNameAndDebug(basicThermoParcel, 0);
    defineParcelTypeNameAndDebug(basicThermoParcel, 0);
};


// * * * * * * * * * * * * * * * * Constructors  * * * * * * * * * * * * * * //

Foam::basicThermoParcel::basicThermoParcel
(
    ThermoCloud<basicThermoParcel>& owner,
    const vector position,
    const label cellI
)
:
    ThermoParcel<basicThermoParcel>(owner, position, cellI)
{}


Foam::basicThermoParcel::basicThermoParcel
(
    ThermoCloud<basicThermoParcel>& owner,
    const vector position,
    const label cellI,
    const label typeId,
    const scalar nParticle0,
    const scalar d0,
    const vector U0,
    const vector& f0,
    const vector& angularMomentum0,
    const vector& torque0,
    const constantProperties& constProps
)
:
    ThermoParcel<basicThermoParcel>
    (
        owner,
        position,
        cellI,
        typeId,
        nParticle0,
        d0,
        U0,
        f0,
        angularMomentum0,
        torque0,
        constProps
    )
{}


Foam::basicThermoParcel::basicThermoParcel
(
    const Cloud<basicThermoParcel>& cloud,
    Istream& is,
    bool readFields
)
:
    ThermoParcel<basicThermoParcel>(cloud, is, readFields)
{}


Foam::basicThermoParcel::basicThermoParcel
(
    const basicThermoParcel& p
)
:
    ThermoParcel<basicThermoParcel>(p)
{}


// * * * * * * * * * * * * * * * *  Destructors  * * * * * * * * * * * * * * //

Foam::basicThermoParcel::~basicThermoParcel()
{}


// ************************************************************************* //
